Bug 108544 - Anomalies with tables embedded in documents and shown as icons in MS Office files (XLS/XLSX in DOC/DOCX)
Summary: Anomalies with tables embedded in documents and shown as icons in MS Office f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium minor
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0
Keywords: filter:doc, filter:docx
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2017-06-15 00:56 UTC by Aron Budea
Modified: 2017-08-16 06:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Samples of XLS/XLSX embedded in DOC/DOCX formats (61.39 KB, application/zip)
2017-06-15 00:56 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-06-15 00:56:47 UTC
Created attachment 134038 [details]
Samples of XLS/XLSX embedded in DOC/DOCX formats

When an object is embedded, there is the checbox: "Display as icon."
If a spreadsheet is embedded, the behavior on double-click is different based on the above setting:
- if it's unchecked, the table is shown, and can be edited in place,
- is it is checked, an icon is shown, and a new spreadsheet application window opens for editing.

In Writer, there are the following issues with opening combinations of MS Office formats of spreadsheets embedded in documents:
- DOCX with embedded XLSX: double-clicking the icon opens the file for editing in-place instead of the expected new window,
- DOC with embedded XLSX: double-clicking the icon opens Excel if installed.

Both XLSX in DOC and XLS in DOC open in a new Calc window, though the windows are opened slightly differently.

Observed with LO 5.4beta2 & 4.4.0.3 / Windows 7.

Attaching a zip of four sample files with the four combinations.
Comment 1 Aron Budea 2017-06-15 23:09:17 UTC
A correction to the description:
"Both XLSX in DOC and XLS in DOC open in a new Calc window" <= This was supposed to be "both XLS in DOCX and XLS in DOC" (so the embedded format is XLS in both case).

Additional detail:
DOC with embedded XLSX opens Excel if installed, gives General OLE error if Excel is not installed.
Comment 2 Buovjaga 2017-06-23 17:13:10 UTC
Repro on Linux (sans Excel).

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 5ff95b16cf9fb2ac7b2b970614e3b98f55978dc0
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 23rd 2017
Comment 3 Commit Notification 2017-07-08 07:29:30 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=505ce3a2ba3adeef46daecbf9b14c42cea211408

tdf#108544 edit in window (XLSX inside DOCX)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-07-13 09:22:01 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=427c763a1ad0ebc85383625f019b405c30828374

tdf#108545 tdf#108544: DOCX, XLSX embedded in DOC

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-08-14 08:36:23 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED